#pragma once

#include <QListWidgetItem>

#include "datadragon.h"

class ChampRow : public QListWidgetItem {

public:
	explicit ChampRow(QListWidget *parent = nullptr);
	~ChampRow();

	void setChamp(const std::string& name, uint32_t id, QPixmap icon);
	QString getChamp() const;
	uint32_t getChampID() const;
	QPixmap getIcon();
private:
	uint32_t champid = -1;
	QPixmap icon;
};
