#include "champrow.h"

ChampRow::ChampRow(QListWidget* parent) : QListWidgetItem(parent) {
}

ChampRow::~ChampRow() {
}

void ChampRow::setChamp(const std::string& name, uint32_t id, QPixmap icon) {
	setText(QString::fromStdString(name));
	champid = id;
	this->icon = icon;
	setIcon(QIcon(icon));
}

QString ChampRow::getChamp() const {
	return text();
}

uint32_t ChampRow::getChampID() const {
	return champid;
}

QPixmap ChampRow::getIcon() {
	return icon;
}
